function onBegin()
    
    makeUnskippable ()
    disableRetry ()
    
    setFlag("Tower_key_1", false)
    setFlag("Tower_1", false)
    setFlag("Tower_2", false)
    setFlag("Tower_3", false)
    setFlag("Tower_5", false)
    setFlag("Tower_6", false)
    setFlag("Tower_1H", false)
    setFlag("towermusic", false)
    

--1_5
   
    while (true) do

        if getFlag("Tower_5") then
        playSound ("event:/WHE/WHE_tower_5")
        setFlag("Tower_5", false)
            break
        end

        if getFlag("Tower_1") then
        setFlag("Tower_1", false)
        end

        if getFlag("Tower_2") then
        setFlag("Tower_2", false)
        end

        if getFlag("Tower_3") then
        setFlag("Tower_3", false)
        end

        if getFlag("Tower_6") then
        setFlag("Tower_6", false)
        end

        if getFlag("Tower_1H") then
        setFlag("Tower_1H", false)
        end

        wait(0.2)

    end
    

--2_3

    while (true) do

        if getFlag("Tower_3") then
        playSound ("event:/WHE/WHE_tower_3")
        setFlag("Tower_3", false)
            break
        end

        if getFlag("Tower_1") or getFlag("Tower_2") or getFlag("Tower_5")  or getFlag("Tower_6") or getFlag("Tower_1H")then
        playSound ("event:/WHE/WHE_tower_false")
        endCutscene ()
        setFlag("towerlua", false)
        end

        wait(0.1)
        
    end
    

--3_5

    while (true) do

        if getFlag("Tower_5") then
        playSound ("event:/WHE/WHE_tower_5")
        setFlag("Tower_5", false)
            break
        end

        if getFlag("Tower_1") or getFlag("Tower_2") or getFlag("Tower_3")  or getFlag("Tower_6") or getFlag("Tower_1H")then
        playSound ("event:/WHE/WHE_tower_false")
        endCutscene ()
        setFlag("towerlua", false)
        end

        wait(0.1)
        
    end


--4_1H

    while (true) do

        if getFlag("Tower_1H") then
        playSound ("event:/WHE/WHE_tower_1H")
        setFlag("Tower_1H", false)
            break
        end

        if getFlag("Tower_1") or getFlag("Tower_2") or getFlag("Tower_3")  or getFlag("Tower_5") or getFlag("Tower_6")then
        playSound ("event:/WHE/WHE_tower_false")
        endCutscene ()
        setFlag("towerlua", false)
        end

        wait(0.1)
        
    end

--5_6

    while (true) do

        if getFlag("Tower_6") then
        playSound ("event:/WHE/WHE_tower_6")
        setFlag("Tower_6", false)
            break
        end

        if getFlag("Tower_1") or getFlag("Tower_2") or getFlag("Tower_3")  or getFlag("Tower_5") or getFlag("Tower_1H")then
        playSound ("event:/WHE/WHE_tower_false")
        endCutscene ()
        setFlag("towerlua", false)
        end

        wait(0.1)

    end


--6_1H

    while (true) do

        if getFlag("Tower_1H") then
        playSound ("event:/WHE/WHE_tower_1H")
        setFlag("Tower_1H", false)
            break
        end

        if getFlag("Tower_1") or getFlag("Tower_2") or getFlag("Tower_3")  or getFlag("Tower_5") or getFlag("Tower_6")then
        playSound ("event:/WHE/WHE_tower_false")
        endCutscene ()
        setFlag("towerlua", false)
        end

        wait(0.1)
    end


--7_5

    while (true) do

        if getFlag("Tower_5") then
        playSound ("event:/WHE/WHE_tower_5")
        setFlag("Tower_5", false)
            break
        end

        if getFlag("Tower_1") or getFlag("Tower_2") or getFlag("Tower_3")  or getFlag("Tower_6") or getFlag("Tower_1H")then
        playSound ("event:/WHE/WHE_tower_false")
        endCutscene ()
        setFlag("towerlua", false)
        end

        wait(0.1)

    end


--8_5

    while (true) do

        if getFlag("Tower_5") then
        playSound ("event:/WHE/WHE_tower_5")
        setFlag("Tower_5", false)
            break
        end

        if getFlag("Tower_1") or getFlag("Tower_2") or getFlag("Tower_3")  or getFlag("Tower_6") or getFlag("Tower_1H")then
        playSound ("event:/WHE/WHE_tower_false")
        endCutscene ()
        setFlag("towerlua", false)
        end

        wait(0.1)

    end


--9_1

    while (true) do

        if getFlag("Tower_1") then
        playSound ("event:/WHE/WHE_tower_1")
        setFlag("Tower_1", false)
            break
        end

        if getFlag("Tower_2") or getFlag("Tower_3") or getFlag("Tower_5")  or getFlag("Tower_6") or getFlag("Tower_1H")then
        playSound ("event:/WHE/WHE_tower_false")
        endCutscene ()
        setFlag("towerlua", false)
        end

        wait(0.1)

    end


--10_2

    while (true) do

        if getFlag("Tower_2") then
        playSound ("event:/WHE/WHE_tower_2")
        setFlag("Tower_2", false)
            break
        end

        if getFlag("Tower_1") or getFlag("Tower_3") or getFlag("Tower_5")  or getFlag("Tower_6") or getFlag("Tower_1H")then
        playSound ("event:/WHE/WHE_tower_false")
        endCutscene ()
        setFlag("towerlua", false)
        end

        wait(0.1)

    end


--11_3

    while (true) do

        if getFlag("Tower_3") then
        playSound ("event:/WHE/WHE_tower_3")
        setFlag("Tower_3", false)
            break
        end

        if getFlag("Tower_1") or getFlag("Tower_2") or getFlag("Tower_5")  or getFlag("Tower_6") or getFlag("Tower_1H")then
        playSound ("event:/WHE/WHE_tower_false")
        endCutscene ()
        setFlag("towerlua", false)
        end

        wait(0.1)

    end


--12_2

    while (true) do

        if getFlag("Tower_2") then
        playSound ("event:/WHE/WHE_tower_2")
        setFlag("Tower_2", false)
            break
        end

        if getFlag("Tower_1") or getFlag("Tower_3") or getFlag("Tower_5")  or getFlag("Tower_6") or getFlag("Tower_1H")then
        playSound ("event:/WHE/WHE_tower_false")
        endCutscene ()
        setFlag("towerlua", false)
        end

        wait(0.1)

    end


--13_1

    while (true) do

        if getFlag("Tower_1") then
        playSound ("event:/WHE/WHE_tower_1")
        setFlag("Tower_1", false)
            break
        end

        if getFlag("Tower_2") or getFlag("Tower_3") or getFlag("Tower_5")  or getFlag("Tower_6") or getFlag("Tower_1H")then
        playSound ("event:/WHE/WHE_tower_false")
        endCutscene ()
        setFlag("towerlua", false)
        end

        wait(0.1)

    end

--14_2

    while (true) do

        if getFlag("Tower_2") then
        playSound ("event:/WHE/WHE_tower_2")
        setFlag("Tower_key_1", true)
        wait(2.5)
        playMusic ("event:/WHE/WHE_tower_song")
        endCutscene ()
        setFlag("towerlua", false)
        setFlag("towermusic", true)
        end

        if getFlag("Tower_1") or getFlag("Tower_3") or getFlag("Tower_5")  or getFlag("Tower_6") or getFlag("Tower_1H")then
        playSound ("event:/WHE/WHE_tower_false")
        endCutscene ()
        setFlag("towerlua", false)
        end

        wait(0.1)
        
    end

end


function onEnd(level, wasSkipped)
	if wasSkipped then
		
        endCutscene ()
		enableMovement()
        
	end
end